No description, website, or topics provided.
Ruby
Fetching latest commit…
Cannot retrieve the latest commit at this time.
Permalink
Failed to load latest commit information.
app
config
db/migrate
generators/simply_testable
lib
public/stylesheets
script
test
.document
.gitignore
LICENSE
README.rdoc
Rakefile
VERSION
init.rb
jakewendt-simply_testable.gemspec

README.rdoc

Simply Testable (RubyGem)

This is no longer supported. See rails_extension

Contains a collection of validations and complex assertions.

Usage

config.gem 'jakewendt-simply_testable',
  :source => 'http://rubygems.org'

script/generate simply_testable

ToDo

  • add assert_should_protect_attributes(*attributes)

  • add assert_should_allow_attributes(*attributes)

  • include assert_only_difference

  • add legitimate text to Rakefile

  • options to polymorphic associations

Gemified with Jeweler

vi Rakefile
rake version:write

rake version:bump:patch
rake version:bump:minor
rake version:bump:major

rake gemspec

rake install
rake release

Thanks

Copyright

Copyright © 2010 Jake. See LICENSE for details.